<?
include '../config.php';
include '../func.php';
head();
aut();
ban();
////////////////////////
$id = num($_GET['clan']);
$clan = mysql_fetch_assoc(mysql_query("SELECT * FROM `clans` WHERE `id` = '".$id."'"));

$us = num($_GET['user']);
$user = mysql_fetch_assoc(mysql_query("SELECT * FROM `clans` WHERE `id` = '".$us."'"));

echo head . 'Приглашение в группу' . div;

if ( empty($clan['id']) ) {
    
    echo link2 . 'Данной группы не существует' . div;
    pod_navig();
    foot();
    exit();    
}

if ( $clan['user'] != $id_session ) {
    echo link2 . 'Вы не являетесь создателем данной группы' . div;
    pod_navig();
    foot();
    exit();
}

if ( $user['private_clan'] == 2 ) {
    echo link2 . 'Вы не можете пригласить данного пользователя в группу' . div;
    pod_navig();
    foot();
    exit();
}

$result3 = mysql_affected_rows(mysql_query ("Select * from friends WHERE `user_1 = '".$user['id']."' && `user_2` = '".$id_session."'")); //Проверяем, есть ли он у вас в друзьях
if ( ($user['private_clan'] == 2) OR ($user['private_clan'] == 1 AND $result3 != 1)) {
    echo link2 . 'Вы не можете пригласить данного пользователя в группу' . div;
    pod_navig();
    foot();
    exit();
}



$result2 = mysql_affected_rows(mysql_query ("Select * from clans_user WHERE `user` = '".$user['id']."' AND `clan` = '".$clan['id']."'")); //Проверяем, есть ли пользователь в вашем клане
if ( $result2 == 1 ) {
    echo link2 . 'Пользователь уже состоит в вашей группе' . div;
    pod_navig();
    foot();
    exit();
}

$msg = 'Приглашение в группу';

$res = mysql_query("INSERT INTO `uvedom` SET  `msg` = '".$msg."', `mod` = 'clan', `user` = '".$us."', `date` = '".time()."'");

if ( $res != NULL ) {
    echo link2 . 'Уведомление успешно выслано' . div;
    }else{
    echo link2 . 'Возникла ошибка' . div;
    }

if ( isset($us) )
echo link1 . '<a href="http://'.$_SERVER['HTTP_HOST'].'/'.$us.'">В анкету</a>' . div;
    





////////////////////////

pod_navig();
foot();
?>